Class | AuthModule
In: | lib/rbot/core/auth.rb
Parent: | CoreBotModule

Author: | Giuseppe "Oblomov" Bilotta <giuseppe.bilotta@gmail.com>

### Methods

ask_bool_prop auth_allow auth_allow_deny auth_auth auth_autologin auth_copy_ren_user auth_create_user auth_deny auth_destroy_user auth_edit_perm auth_export auth_import auth_list_users auth_login auth_manage_user auth_meet auth_search_perm auth_tell_password auth_view_perm auth_whoami auth_whois do_autologin find_auth get_botuser_for get_botusername_for help load_array need_args new not_args parse_args reset_prop save save_array say_welcome set_prop

### Public Class methods

new()

### Public Instance methods

ask_bool_prop(botuser, prop)
auth_allow(m, p)
auth_allow_deny(m, p)
auth_auth(m, params)
auth_autologin(m, params)
auth_copy_ren_user(m, params)
auth_create_user(m, params)
auth_deny(m, p)
auth_destroy_user(m, params)
auth_edit_perm(m, params)
auth_export(m, params)
auth_import(m, params)
auth_list_users(m, params)
auth_login(m, params)
auth_manage_user(m, params)
auth_meet(m, params)
auth_search_perm(m, p)
auth_tell_password(m, params)
auth_view_perm(m, params)
auth_whoami(m, params)
auth_whois(m, params)
do_autologin(user)
find_auth(pseudo)
get_botuser_for(user)
get_botusername_for(user)
help(cmd, topic="")
load_array(key=:default, forced=false)
need_args(cmd)
not_args(cmd, *stuff)
parse_args(ar, setting)

The permission parameters accept arguments with the following syntax:

      cmd_path... [on #chan .... | in here | in private]

This auxiliary method scans the array ar to see if it matches the given syntax: it expects + or - signs in front of cmd_path elements when setting = true

It returns an array whose first element is the array of cmd_path, the second element is an array of locations and third an array of warnings occurred while parsing the strings

reset_prop(botuser, prop)
save()
save_array(key=:default)
say_welcome(m)
set_prop(botuser, prop, val)

[Validate]